# Common parse_control() tests functions
#
# Copyright (C) 2014  Patrick "P. J." McDermott
#
# This file is part of the ProteanOS Development Kit.
#
# The ProteanOS Development Kit is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Development Kit is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Development Kit.  If not, see
# <http://www.gnu.org/licenses/>.

. "${srcdir}/tests/common.sh"

use output
use control

load_locale

HT='	'
LF='
'

test_result=

field()
{
	test_results="${test_results}${1}${HT}${2}${LF}"
}

para()
{
	test_results="${test_results}¶${LF}"
}

parse_control - field para "${req_fields}" <<-EOF
	${packages}
	EOF

printf 'Required fields: %s\n\n' "${req_fields}"

test_diff "${results}" "${test_results}"
